#include "activecap.h"
#include "sprite.h"

string ActiveCap::imagename="";
string ActiveCap::yellowname="";
int ActiveCap::frames=0;

void ActiveCap::init()
{
	s_normal=new Sprite(this,"activecap.png");
	s_normal->setMaxTick(10);
	s_normal->setNumFrames(frames);
	s_normal->init();

	s_yellow=new Sprite(this,"activecapyellow.png");
	s_yellow->setMaxTick(10);
	s_yellow->setNumFrames(frames);
	s_yellow->init();

	ag=(ActorGraphic*)s_normal;

	r=ag->get_h()/2;
	layer=2;
}

void ActiveCap::setYellow(bool b)
{
	if(b)
		ag=s_yellow;
	else
		ag=s_normal;
}
