#ifndef ACTIVECAP_H
#define ACTIVECAP_H

#include "circularactor.h"
#include "actormanager.h"
#include "sprite.h"

class ActiveCap : public CircularActor
{
	public:
		ActiveCap():CircularActor(){}
		ActiveCap(zero_t):CircularActor(zero){}
		~ActiveCap(){delete s_normal;ag=s_yellow;}

		void init();

		void setYellow(bool b);

		static void setFrames(const int f){frames=f;}

	private:
		static string imagename;
		static string yellowname;
		static int frames;

		Sprite *s_normal;
		Sprite *s_yellow;
};


#endif
