#ifndef CAP_H
#define CAP_H

#include "circularactor.h"

class Cap : public CircularActor
{
	public:
		Cap():CircularActor(){initial=Vector(zero);}
		Cap(zero_t):CircularActor(zero),yellow(false){}
		virtual ~Cap(){}

		void init();

		void getCollision(Collision &c);

		void draw(SDL_Rect &r)const{ag->draw(r);}

		//Se usar para saber si alguna chapa se esta moviendo
		static bool anyMoving(){return moving;} 
		static void setAnyMoving(){moving=false;}

		void setInitialPos(const Vector &v){initial=v;}
		void returnInitialPos(){center=initial;}

		void move();
		//Obtener el id
		int getID(){return id;}

		//Modificar el id
		void setID(const int aid){id=aid;}

		static float getGraze(){return graze;}
		static void setGraze(const float g){graze=g;}

		void setYellow(){yellow=true;}
		bool getYellow()const{return yellow;}

	private:
		Vector initial;
		int id;
		static bool moving;
		static float graze;

		float ang;
		bool yellow;
};

#endif
