#ifndef CHOOSESTADIUM_H
#define CHOOSESTADIUM_H

#include <vector>

using namespace std;

#include "game.h"
#include "preview.h"
#include "menutext.h"

class ChooseStadium : public MenuText
{
	public:
		ChooseStadium(zero_t):MenuText(zero){}
		~ChooseStadium(){shutdown();}

		void init();
		void shutdown();

		void getSignal(signal_t s);

		void nextTheme();
		void previousTheme();
		void goStadium();

		void setGame(Game *ag){g=ag;}

	private:
		vector<Preview*> prevs;
		unsigned actual;

		Game *g;
};

#endif
