#ifndef IMAGEARROW_H
#define IMAGEARROW_H

#include <string>

using namespace std;

#include "actorgraphic.h"
#include "cap.h"

class Arrow;

//Otro ActorGraphic que es una imagen que puede rotar o hacerle zoom
class ImageArrow : public ActorGraphic
{
	public:
		ImageArrow(Actor *aowner,string n):ActorGraphic(aowner),img(NULL),
			name(n){}
		~ImageArrow(){SDL_FreeSurface(img);SDL_FreeSurface(orig);}

		void init();
		void active();
		void update();
		void desactive();

		void draw();
		void setCap(Cap *c){cap=c;update();}

		unsigned get_w()const{return img->w;}
		unsigned get_h()const{return img->h;}

	private:
		SDL_Surface *img,*orig;
		Arrow *arrow;
		string name;
		Cap *cap;
};

#endif
