#ifndef MESSENGER_H
#define MESSENGER_H

#include "message.h"
#include "game.h"

class Messenger
{
	public:
		Messenger(Game *ag);
		~Messenger();

		typedef enum
		{
			PASS,
			GOAL,
			YELLOW,
			RED,
			TIME,
			GOLDEN,
			WIN
		}message_t;

		void init();
		void send(message_t);
		void shutdown();

	private:
		Message *pass_men;
		Message *goal_men;
		Message *yellow_men;
		Message *red_men;
		Message *time_men;
		Message *golden_men;
		Message *win_men;

		Game *g;
};

#endif
