#ifndef PREVIEW_H
#define PREVIEW_H

#include <string>

using namespace std;

#include "game.h"
#include "fontmanager.h"
#include "textactor.h"

class Preview
{
	public:
		Preview();
		~Preview();
		void init(string c);
		void shutdown();
		void activate();
		void desactivate();

		static void setGame(Game *ag){g=ag;}
		const char* getDir()const{return dir.c_str();}

	private:
		TextActor* t_time;
		TextActor* t_teamtime;
		TextActor* t_movements;
		Text *name;
		int time;
		int teamtime;
		int movements;

		string dir;

		static Game* g;
};

#endif
