#ifndef QUITTEXT_H
#define QUITTEXT_H

#include "menutext.h"
#include "menumouseelement.h"
#include "collision.h"
#include "game.h"

class QuitText : public MenuText, public MenuMouseElement
{
	public:
		QuitText(zero_t):MenuText(zero),MenuMouseElement(zero){}
		~QuitText(){}

		void getSignal(signal_t s);
		void getMouseSignal(mousesignal_t s);

		void setGame(Game *m){g=m;}
		bool isHere(Vector &v){return isCollision(v,this)!=NO_COLLISION;}

	private:
		Game *g;
};

#endif
