#include "select.h"
#include "game.h"
#include "image.h"
#include "utils.h"

void Select::init()
{
	ag=new Image(this,"select.png");
	ag->init();

	r=ag->get_w()/2;
	layer=5;
}

void Select::changeTeam()
{
	if(team==SG::LEFT)
	{
		team=SG::RIGHT;
		setPos(right);
	}
	else
	{
		team=SG::LEFT;
		setPos(left);
	}
}

void Select::changeTeam(SG::team_t t)
{
	team=t;
	if(team==SG::RIGHT)
		setPos(right);
	else
		setPos(left);
}
