#ifndef SELECT_H
#define SELECT_H

#include "image.h"
#include "game.h"
#include "soccergame.h"
#include "circularactor.h"

class Select : public CircularActor
{
	public:
		Select():CircularActor(){}
		Select(zero_t):CircularActor(zero){}
		~Select(){}

		void init();

		void changeTeam(SG::team_t t);
		void changeTeam();

		void setLeft(const Vector &v){left=v;}
		void setRight(const Vector &v){right=v;}

	private:
		Vector left;
		Vector right;
};

#endif
