#ifndef TIMEBOARD_H
#define TIMEBOARD_H

#include "score.h"
#include "timer.h"

class TimeBoard : public Score,public Timer
{
	public:
		TimeBoard():Score(),Timer(),t(SECOND){}
		TimeBoard(zero_t):Score(zero),Timer(),t(SECOND){}
		~TimeBoard(){}
		
		void init();
		void update();

		typedef enum
		{
			MINUTE,
			SECOND
		}timer_t;

		void setType(timer_t a){t=a;}
		timer_t getType()const{return t;}

	private:
		timer_t t;
};

#endif
