#ifndef BOX_H
#define BOX_H

class Box
{
	public:
		Box(){}
		Box(zero_t):min(zero),size(zero){}
		Box(const float x,const float y,const float w,const float h):min(x,y),
			size(w,h){}
		Box(const Box &b):min(b.min),size(b.size){}
		virtual ~Box(){}

		void move(const Vector &v){min=min+v;}
		void locate(const Vector &v){min=v;}
		void setSize(const Vector &v){size=v;}
		void setSize(const int x,const int y){size=Vector(x,y);}

		Vector getMin()const{return min;}
		Vector getSize()const{return size;}
		Vector getMax()const{return min+size;}

	protected:
		Vector min,size;
};

#endif
