#ifndef CIRCLEACTOR_H
#define CIRCLEACTOR_H

#include "actor.h"
#include "circle.h"

class CircularActor : public Actor,public Circle
{
	public:
		CircularActor(){type=CIRCLE;}
		CircularActor(zero_t):Actor(zero),Circle(zero){type=CIRCLE;}
		virtual ~CircularActor(){}

		SDL_Rect getRect()const{return (SDL_Rect){(int)(center.scale_x()-r),(int)(center.scale_y()-r),(int)(2*r),(int)(2*r)};}
		Vector getPos()const{return center;}
		Vector getCenter()const{return center;}

		void setPos(const Vector &v){locate(v);}
		void setPos(const int x,const int y){locate(Vector(x,y));}

		void init(){ag->init();r=get_w()/2;}
};

#endif
