#include "menu.h"
#include "actormanager.h"

void Menu::init()
{
	list=new MenuList(g);
	list->init();

	controller=new MenuController(g,list);
	controller->init();

	load();
}

void Menu::shutdown()
{
	unload();

	list->shutdown();
	delete list;

	controller->shutdown();
	delete controller;

	g->actormanager->clear();
}
