#ifndef RECTANGLEIMAGE_H
#define RECTANGLEIMAGE_H

#include <SDL.h>
#include <string>

using namespace std;

#include "actorgraphic.h"

//ActorGraphic que es una imagen sin mas
class RectangleImage : public ActorGraphic
{
	public:
		RectangleImage(Actor *aowner):ActorGraphic(aowner),r(0),
			gr(0),b(0),a(255){}
		virtual ~RectangleImage(){}
		
		void init();
		void activate();
		void update();
		void desactivate();

		void draw();
		void draw(SDL_Rect &r);
		unsigned get_w()const{return rect.w;}
		unsigned get_h()const{return rect.h;}

		void setColor(Uint8 ar,Uint8 ag, Uint8 ab, Uint8 aa=255)
			{r=ar;gr=ag;b=ab;a=aa;}
	private:
		//Color gr porque g esta ocupado con game
		Uint8 r,gr,b,a;
};

#endif
