#include "timer.h"

TimeManager* Timer::t=NULL;

//Inicializamos como contador o cuenta atras
void Timer::start()
{
	t->addTimer(this);
	time=0.0;
	growing=INCREASING;
}

void Timer::countdown(const float at)
{
	t->addTimer(this);
	time=at;
	growing=DECREASING;
}

//Anyadimos o restamos al tiempo
void Timer::update()
{
	if(growing==INCREASING)
		time+=t->getTimeTick();
	else
	{
		if(time>0.0)
			time-=t->getTimeTick();
	}
}
