#ifndef BALL_H
#define BALL_H

#include "circularactor.h"

class Ball : public CircularActor
{
	public:
		Ball():CircularActor(){initial=Vector(zero);}
		Ball(zero_t) : CircularActor(zero){}
		virtual ~Ball(){}

		void init();
		void move();

		void getCollision(Collision &c);

		void setInitialPos(const Vector &v){initial=v;}
		void returnInitialPos(){center=initial;}

		bool isMoving(){return vel.module()!=0.0;}

		float getGraze()const{return graze;}
		void setGraze(const float g){graze=g;}

	private:
		Vector initial;
		float graze;
		float ang;
};

#endif
