#ifndef RETURNTEXT_H
#define RETURNTEXT_H

#include "menutext.h"
#include "menumouseelement.h"
#include "collision.h"
#include "menu.h"

class ReturnText : public MenuText, public MenuMouseElement
{
	public:
		ReturnText(zero_t):MenuText(zero),MenuMouseElement(zero){}
		~ReturnText(){}

		void getSignal(signal_t s);
		void getMouseSignal(mousesignal_t s);
		bool isHere(Vector &v){return isCollision(v,this)!=NO_COLLISION;}

		void setMenu(Menu *m){menu=m;}

	private:
		Menu *menu;
};
#endif
