#ifndef SCOREBOARD_H
#define SCOREBOARD_H

#include <SDL.h>

#include <string>

#define SEPARATION 2

#include "image.h"
#include "score.h"

class ScoreBoard : public Image
{
	public:
		ScoreBoard(Actor *a,string n):Image(a,n){s=(Score*)a;}
		~ScoreBoard(){}

		void init();
		void update();

		void draw();
		void draw(SDL_Rect &r);

		int get_w(){return width*2+SEPARATION;}

	private:
		Score *s;
		int width;
		int num;
};

#endif
