#ifndef SOCCERGAME_H
#define SOCCERGAME_H

#include "game.h"
#include "collision.h"

#define SG SoccerGame

class Stadium;
class Menu;

//Clase especifica del juego soccer
class SoccerGame : public Game
{
	public:
		SoccerGame():Game(){name="Pro Evolution Chapping";}
		~SoccerGame(){}

		typedef enum
		{
			LEFT,
			RIGHT,
			NEUTRAL
		}team_t;

		void getCollision(Collision &c);

	protected:
		void load();
		void logicgame();
		void unload(){}

	private:
		Stadium* stadium;
		Menu* menu;
};

#endif
