#ifndef STARTTEXT_H
#define STARTTEXT_H

#include "menutext.h"
#include "menumouseelement.h"
#include "collision.h"
#include "menu.h"

class StartText : public MenuText, public MenuMouseElement
{
	public:
		StartText(zero_t):MenuText(zero),MenuMouseElement(zero){}
		~StartText(){}

		void getSignal(signal_t s);
		void getMouseSignal(mousesignal_t s);
		bool isHere(Vector &v){return isCollision(v,this)!=NO_COLLISION;}
		void setMenu(Menu *m){menu=m;}

	private:
		Menu *menu;
};
#endif
