#ifndef BOXACTOR_H
#define BOXACTOR_H

#include "actor.h"
#include "box.h"

class BoxActor:public Actor,public Box
{
	public:
		BoxActor(){}
		BoxActor(zero_t):Actor(zero),Box(zero){type=BOX;}
		BoxActor(int x,int y,int w,int h):Box(x,y,w,h){}
		virtual ~BoxActor(){}

		SDL_Rect getRect()const{return (SDL_Rect){(int)(min.scale_x()),(int)(min.scale_y()),(int)size.scale_x(),(int)size.scale_y()};}
		Vector getPos()const{return getMin();}
		Vector getCenter()const{return add(getMin(),multiply(getSize(),0.5));}

		void setPos(const Vector &v){locate(v);}
		void setPos(const int x,const int y){locate(Vector(x,y));}

		void init(){ag->init();size=Vector(ag->get_w(),ag->get_h());}
};

#endif
