#ifndef CIRCLE_H
#define CIRCLE_H

#include "vector.h"

class Circle
{
	public:
		Circle(){}
		Circle(const Vector vector,const float radio):center(vector),r(radio){}
		Circle(zero_t):center(zero),r(0){}
		Circle(const Circle &c):center(c.center),r(c.r){}

		void move(const Vector &v){center=add(center,v);}
		void locate(const Vector &v){center=v;}

		Vector getCenter()const{return center;}
		float getRadio()const{return r;}
		void setRadio(const float radio){r=radio;}

		

	protected:
		Vector center;
		float r;
};

#endif
