#ifndef IMAGE_H
#define IMAGE_H

#include <SDL.h>
#include <string>

using namespace std;

#include "actorgraphic.h"

//ActorGraphic que es una imagen sin mas
class Image : public ActorGraphic
{
	public:
		Image(Actor *aowner,string n):ActorGraphic(aowner),img(NULL),
			change(false){name=n;}
		virtual ~Image(){SDL_FreeSurface(img);}
		
		virtual void init();
		virtual void activate();
		virtual void update();
		virtual void desactivate();

		virtual void flip();

		virtual void draw();
		virtual void draw(SDL_Rect &r);

		virtual unsigned get_w()const{return img->w;}
		virtual unsigned get_h()const{return img->h;}
		
	protected:
		SDL_Surface *img;
		bool change;
		string name;
		Vector center;
};

#endif
