#ifndef MENU_H
#define MENU_H

#include "game.h"
#include "menulist.h"
#include "menucontroller.h"

class Menu
{
	public:
		Menu(Game *ag):g(ag),end(false){}
		~Menu(){}

		void init();
		virtual void load(){}
		virtual bool update(){return end;}
		void shutdown();
		virtual void unload(){}

		typedef int menu_t;

		virtual void mainMenu(){}
		virtual void menu(menu_t m){}
		
		void setEnd(){end=true;}

	protected:
		MenuList *list;
		MenuController *controller;
		Game *g;
		bool end;

		menu_t actual;
};

#endif
