#ifndef POPUP_H
#define POPUP_H

#include <SDL.h>
#include <string>

using namespace std;

#include "actorgraphic.h"

//Image que va desapareciendo
class PopUp : public ActorGraphic
{
	public:
		PopUp(Actor *aowner,string n):ActorGraphic(aowner),img(NULL),name(n){vel=7;}
		PopUp(Actor *aowner,SDL_Surface *i):ActorGraphic(aowner),img(i){name="";vel=7;}
		~PopUp(){SDL_FreeSurface(img);}
		
		void init();
		void activate();
		void update();
		void desactivate();

		void draw();
		unsigned get_w()const{return img->w;}
		unsigned get_h()const{return img->h;}

		void setVel(const int v){vel=v;}

	protected:
		SDL_Surface *img;
		string name;
		int alpha;
		int vel;
};

#endif
