#ifndef SPECIALIMAGE_H
#define SPECIALIMAGE_H

#include <SDL.h>
#include <string>

using namespace std;

#include "image.h"

//Imagen que permite girar y podra hacer mas
//cosas
class SpecialImage : public Image
{
	public:
		SpecialImage(Actor *aowner,string n):Image(aowner,n),orig(NULL)
				{name=n;}
		virtual ~SpecialImage(){SDL_FreeSurface(orig);}
		
		virtual void init();
		virtual void activate();
		virtual void update();

		virtual void rotateRight();
		virtual void rotateLeft();
		virtual void rotate(float ang);

		virtual unsigned get_w()const{return img->w;}
		virtual unsigned get_h()const{return img->h;}
		
	protected:
		SDL_Surface *orig;
};

#endif
