#ifndef TEXTACTOR_H
#define TEXTACTOR_H

#include "boxactor.h"
#include "text.h"
#include "textimage.h"

class TextActor : public BoxActor, public Text
{
	public:
		TextActor(const string nf,const unsigned s):BoxActor(zero),Text()
			{ag=new TextImage(this,this,nf,s);}
		TextActor(zero_t):BoxActor(zero),Text(){}
		virtual ~TextActor(){}

		void setBackground(SDL_Color &c){((TextImage*)ag)->setBackground(c);}
		void setFontColor(SDL_Color &c){((TextImage*)ag)->setFontColor(c);}
		void setSizeFont(const unsigned s){((TextImage*)ag)->setSize(s);}
		void setStyle(const TextImage::style_t s){((TextImage*)ag)->setStyle(s);}
		void setAlignment(const TextImage::alignment_t a){((TextImage*)ag)->
			setAlignment(a);}

		void init(){ag->init();}
};

#endif
