#include <SDL.h>
#include <SDL_image.h>

#include <string>
#include <iostream>

#include <math.h>

using namespace std;

#include "utils.h"

SDL_Surface* LoadImg(string n)
{
	SDL_Surface *tmp,*tmp2;
	tmp=IMG_Load(n.c_str());
   if(tmp==NULL)
   {
		cerr<<"No se puede cargar "<<n<<": "<<SDL_GetError()<<endl;
      exit(-1);
   }

	Uint32 colorkey=SDL_MapRGB(tmp->format,0,16,0);
	SDL_SetColorKey(tmp,SDL_SRCCOLORKEY|SDL_RLEACCEL,colorkey);

	tmp2=SDL_DisplayFormat(tmp);
	SDL_FreeSurface(tmp);

	if(tmp2==NULL)
	{
		cerr <<"Error al convertir "<<n<<" al formato de la pantalla: "\
			<<SDL_GetError()<<endl;
		exit(-1);
	}

	return tmp2;
}

SDL_Surface* LoadImgAlpha(string n)
{
	SDL_Surface *tmp,*tmp2;
	tmp=IMG_Load(n.c_str());
   if(tmp==NULL)
   {
		cerr<<"No se puede cargar "<<n<<": "<<SDL_GetError()<<endl;
      exit(-1);
   }

	tmp2=SDL_DisplayFormatAlpha(tmp);
	SDL_FreeSurface(tmp);

	if(tmp2==NULL)
	{
		cerr <<"Error al convertir "<<n<<" al formato de la pantalla: "\
			<<SDL_GetError()<<endl;
		exit(-1);
	}

	return tmp2;
}
